Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454785 - Ardour2 Pango Error. Session crashed and will no longer open.
Summary: Ardour2 Pango Error. Session crashed and will no longer open.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: 9
Hardware: x86_64
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 00:29 UTC by Francis Keyes
Modified: 2009-07-14 15:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:03:20 UTC


Attachments (Terms of Use)

Description Francis Keyes 2008-07-10 00:29:23 UTC
Description of problem:

I had been working with a particular Ardour session for a while when it crashed
as I was recording. The session will no longer open, although all my other
ardour session on the same computer are working fine.  This same problem
occurred with another session, however that session eventually opened without
error after repeated attempts.  I have posted the error and my system details
below.  Any help is greatly appreciated.

Error:

Pango-ERROR **: Unable to open font file /usr/share/fonts/dejavu/DejaVuSans.ttf
for font DejaVu Sans 9.9990234375, exiting





Version-Release number of selected component (if applicable):

ardour-2.4.1-1.fc9.x86_64


How reproducible:

Can't reproduce on command, though this happened a few times.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

"ls -l /usr/share/fonts/dejavu/DejaVuSans.ttf" shows
 /usr/share/fonts/dejavu/DejaVuSans.ttf

Comment 1 Anthony Green 2008-07-10 02:13:53 UTC
Let's first try reassigning this to the pango guys to see if they've seen
something similar.


Comment 2 Hans de Goede 2008-07-10 06:32:16 UTC
Actually reassigning to the pango guys as Anthony suggested.


Comment 3 Bug Zapper 2009-06-10 02:00:27 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 15:03:20 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.